Skip to main content

Apply for authorization code

GET 

/oauth2/authorize

Apply for authorization code.

History​

VersionChanges
v3.14.117, v3.15.26Added in: v3.14.117, v3.15.26

Request​

Query Parameters

    client_id stringrequired

    Client ID obtained from creating an OAuth application.

    response_type stringrequired

    Fixed value:code.

    redirect_uri string

    The Redirect URI configured when creating the OAuth application, to which the user will be redirected with the authorization code after granting consent.

    scope string

    A comma-separated list of scopes, which must be a subset of the scopes configured when creating the OAuth application. By default, the scopes configured when creating the OAuth application are used.

    state string

    A random string that the client uses to maintain state between the request and callback, which will ultimately be returned as is.

Responses​

Redirect to the Redirect URI, and add the code and state parameters to the URL parameters.

Loading...